Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Natural Plugin from Eclipse Marketplace not loading
Natural Plugin from Eclipse Marketplace not loading [message #1800585] Thu, 03 January 2019 00:48 Go to next message
Shway Mar is currently offline Shway MarFriend
Messages: 1
Registered: January 2019
Junior Member
Hello, I am trying to learn how to automate test scripts in Java using a Selenium/Cucumber BDD. To set up the environment, I need to install the Natural language plugin from the Eclipse Marketplace. https://marketplace.eclipse.org/content/natural

Sounds simple enough and I followed the instructions, but when I click and drag the install button into my eclipse program, the URL shows on the program, but it did not install into Eclipse. When I hovered over the error, it says: "missing 'Feature' at http://marketplace.eclipse.org/marketplace-cliet-intro?mpc_install=2427135"

(The url is what I copied into eclipse)

I also tried adding Feature at the top before the line, but that did not work either.

Thank you!
  • Attachment: 1.png
    (Size: 4.06KB, Downloaded 146 times)
Re: Natural Plugin from Eclipse Marketplace not loading [message #1800622 is a reply to message #1800585] Thu, 03 January 2019 19:09 Go to previous message
Denis Roy is currently offline Denis RoyFriend
Messages: 470
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

The "Errors" tab of that plugin may provide clues:

Installable Units Reported:
org.agileware.natural.cucumber.feature.feature.group,0.7.6.201505100000
Detailed Message:
Cannot complete the install because one or more required items could not be found. Software being installed: Cucumber Editor 0.7.6.201505100000 (org.agileware.natural.cucumber.feature.feature.group 0.7.6.201505100000) Missing requirement: Cucumber Editor 0.7.6.201505100000 (org.agileware.natural.cucumber.feature.feature.group 0.7.6.201505100000) requires 'org.eclipse.xtext 2.1.0' but it could not be found


requires 'org.eclipse.xtext 2.1.0' but it could not be found

Can you check which version of XText you're using?


Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Previous Topic:How To Make Single Line Comments Start At Col 105
Next Topic:Windowbuilder table issue (macOs)
Goto Forum:
  


Current Time: Sat May 30 10:02:58 GMT 2020

Powered by FUDForum. Page generated in 0.02916 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top